
clientLanguage = Turbine.Engine:GetLanguage();

EN = Turbine.Language.English;
DE = Turbine.Language.German;
FR = Turbine.Language.French;

_LANG = {
    ["WINDOW"] = {
        ["DRAG_BAR_TITLE"] = {
            [EN] = "Soliloquy Tracker";
        };
    };

    ["CHAT"] = {
        ["SOLILOQUY_OF_SPIRIT_PATTERN"] = {
            [EN] = "benefit with Soliloquy of .*Spirit on (.*).";
        };
        ["SPECIALIZATION_CHANGED"] = {
            [EN] = "You have acquired the Class Specialization Bonus Trait: (.*)";
        };
    };

    ["CLASS"] = {
        ["WATCHER_OF_RESOLVE"] = {
            [EN] = "The Watcher of Resolve.\n";
        };
        ["SOLILOQUY_OF_SPIRIT"] = {
            [EN] = "Soliloquy of Spirit";
        };
    };

    ["OPTIONS"] = {
        ["USE_SOLILOQUY_TRACKER"] = {
            [EN] = "Use Soliloquy Tracker";
        };
    };
};

function GetString(text)
    -- use clientLanguage, it's always right

    -- If they passed in a non-existant thing, return an empty string
    if (text == nil) then return ""; end

    -- If the text is present in the language, return it
    if (text[clientLanguage] ~= nil) then return text[clientLanguage]; end

    -- Otherwise, fall back to English
    return text[EN];
end
